Subject: bug#20663: page.el (forward-page): Avoid skipping pages

From: Marcin Borkowski <[email-masked]>
Date: Sat, 09 Apr 2016 12:13:11 +0200

On 2015-05-26, at 19:14, Pierre Neidhardt <[email-masked]> wrote:

> When `page-delimiter` starts at the beginning of the line and the position is
> also at the beginning of the line, calling `forward-page` will skip one page.
>
> Running `emacs -Q example.txt`:
>
> 	M-<
> 	C-x n p
> 	M->
> 	M-1 C-x n p
>
> This should bring us from page 1 to page 2, but page 3 gets displayed instead.
>
> The attached patch fixes it by changing the code to actually match its
> surrounding comments.

Hi Emacs devs,

could someone take a look at the proposed patch?  It is not installed as
of GNU Emacs 25.1.50.8 (commit 1e8cd05), and I don't feel competent
enough to be sure it does not have any adverse side effects.

Best,

-- 
Marcin